<?php
// ======================================================================
// Auteur : Donatien CELIA
// Licence : CeCILL v2
// ======================================================================

error_reporting(E_ALL);

require "class_page.php";                                              // - On inclut la class Page

class PageTdb extends Page
{
    private $account_nickname;

    function __construct()
    {
      // - on appele le constructeur du parent
      parent::__construct();

      // - on renseigne qq infos du parent
      parent::SetNomPage( "tdb");
      parent::SetAffichageHeader( 0 );
      parent::SetAffichageMenu( 1 );
      parent::SetAffichageFooter( 0 );

      $this->AjouterCSS("page_tdb.css");

      // - on ajoute les contenus utiles
      $this->AjouterContenu("contenu", "contenus/page_tdb.php");

      // - on ajoute les menus utiles
      $this->AjouterMenu("compte","Compte");
      $this->AjouterMenu("messagerie","Messagerie");
      $this->AjouterMenu("compte_suppression","Supprimer le compte");
    }

    // - Affichage de la page
    public function Afficher()
    {
      // - On se connescte  la base de donnes
      parent::ConnecterBD();

      $account_id           = $_SESSION['account_id'];

      parent::Afficher();

    }// - Fin de la fonction Afficher

}// - Fin de la classe

?>